Package org.gradle.ide.visualstudio.tasks

# Class GenerateSolutionFileTask.SolutionSpec

java.lang.Object
org.gradle.ide.visualstudio.tasks.GenerateSolutionFileTask.SolutionSpec

Enclosing class:
  `GenerateSolutionFileTask`

@Incubating protected static class GenerateSolutionFileTask.SolutionSpec extends Object
The data to use to generate the solution file.

Since:
  8.11

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<org.gradle.ide.visualstudio.tasks.internal.VisualStudioSolutionFile.ProjectSpec>`
  `getProjects()`
  Projects to include in the solution.
  `List<Action<? super TextProvider>>`
  `getTextActions()`
  Additional text generation actions.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getProjects

    @Incubating public List<org.gradle.ide.visualstudio.tasks.internal.VisualStudioSolutionFile.ProjectSpec> getProjects()
    Projects to include in the solution.
    Since:
      8.11

  - ### getTextActions

    @Incubating public List<Action<? super TextProvider>> getTextActions()
    Additional text generation actions.
    Since:
      8.11